<script lang="ts">
  import { wealth } from './wealth';
</script>

<section class="card mb-3">
  <header class="card-header font-bold">Wealth</header>
  <article class="p-4 flex flex-row flex-wrap items-center">
    {#each $wealth as coin}
      <div class="border p-2 rounded-md bg-white dark:bg-black my-1 whitespace-nowrap m-1">
        <span>{coin.currency}</span>
        <span class="badge variant-filled-secondary">
          {coin.amount}
        </span>
      </div>
    {/each}
  </article>
</section>
